Listar os Modelos Por Provider

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /transformersapi/1.0/models_by_providers

Lista os modelos conforme provider informado ou também informando o tipo de modalidade do modelo. Exemplo: "Texto", "Text-to-Speech", "Speech-to-Text". Os providers podem ser por exemplo: IAN, OpenIA, AWS, ElevenLabs, dentre outros.

application/json

Body

  • provider string
  • typeModality string

Responses

  • 200 application/json

    Requisição processada com sucesso. Retorna os dados correspondentes ao filtro informado.

    Hide response attribute Show response attribute object
    • Results array[object]
      Hide Results attributes Show Results attributes object
      • id string Required
      • name string Required
      • typeModality string Required
      • flgFunction boolean Required
      • providerName string Required
      • active boolean Required
  • 401 application/json

    Token de autenticação ausente ou inválido. Envie o header Authorization: Bearer {token}.

    Hide response attribute Show response attribute object
    • status string
  • 403 application/json

    Acesso negado. O token informado não possui permissão para este recurso.

    Hide response attribute Show response attribute object
    • status string
  • 404 application/json

    Recurso não encontrado para os parâmetros informados.

    Hide response attribute Show response attribute object
    • status string
POST /transformersapi/1.0/models_by_providers
curl \
 --request POST 'https://api.neppo.com.br/transformersapi/1.0/models_by_providers' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"provider":"IAN","typeModality":"Text"}'
Request example
{
  "provider": "IAN",
  "typeModality": "Text"
}
Response examples (200)
{
  "Results": [
    {
      "id": "us.meta.llama3-3-70b-instruct-v1:0",
      "name": "Llama 3.3 70B Instruct",
      "typeModality": "Text",
      "flgFunction": true,
      "providerName": "AWS",
      "metadata": null,
      "depreciatedDate": null,
      "active": true
    },
    {
      "id": "us.meta.llama4-maverick-17b-instruct-v1:0",
      "name": "Llama 4 Maverick 17B Instruct",
      "typeModality": "Text",
      "flgFunction": false,
      "providerName": "AWS",
      "metadata": null,
      "depreciatedDate": null,
      "active": true
    },
    {
      "id": "mistral.mixtral-8x7b-instruct-v0:1",
      "name": "Mixtral 8x7B Instruct",
      "typeModality": "Text",
      "flgFunction": false,
      "providerName": "AWS",
      "metadata": null,
      "depreciatedDate": null,
      "active": true
    },
    {
      "id": "mistral.mistral-7b-instruct-v0:2",
      "name": "Mistral 7B Instruct",
      "typeModality": "Text",
      "flgFunction": true,
      "providerName": "AWS",
      "metadata": null,
      "depreciatedDate": null,
      "active": true
    },
    {
      "id": "deepseek.r1-v1:0",
      "name": "DeepSeek-R1",
      "typeModality": "Text",
      "flgFunction": true,
      "providerName": "AWS",
      "metadata": null,
      "depreciatedDate": null,
      "active": true
    },
    {
      "id": "mistral.mistral-large-2402-v1:0",
      "name": "Mistral Large (24.02)",
      "typeModality": "Text",
      "flgFunction": true,
      "providerName": "AWS",
      "metadata": null,
      "depreciatedDate": null,
      "active": true
    }
  ]
}
Response examples (401)
{
  "status": "Unauthorized"
}
Response examples (403)
{
  "status": "Forbidden"
}
Response examples (404)
{
  "status": "Not Found"
}